Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client
Interface EventListener

All Known Implementing Classes:
  AbsolutePanel, Button, ButtonBase, CellPanel, CheckBox, ComplexPanel, Composite, CustomButton, DeckPanel, DialogBox, DisclosurePanel, DockPanel, FileUpload, FlexTable, FlowPanel, FocusPanel, FocusWidget, FormPanel, Frame, Grid, Hidden, HorizontalPanel, HorizontalSplitPanel, HTML, HTMLPanel, HTMLTable, Hyperlink, Image, Label, ListBox, MenuBar, NamedFrame, Panel, PasswordTextBox, PopupPanel, PushButton, RadioButton, RichTextArea, RootPanel, ScrollPanel, SimplePanel, StackPanel, SuggestBox, TabBar, TabPanel, TextArea, TextBox, TextBoxBase, ToggleButton, Tree, VerticalPanel, VerticalSplitPanel, Widget

    public interface EventListener

Receives low-level browser events. The implementer registers for DOM events using `DOM.setEventListener(Element, EventListener)`.

Only subclasses of `Widget` should attempt to listen to browser events.

Method Summary
`void` | `onBrowserEvent(Event event)` Fired whenever a browser event is received.

Method Detail

### onBrowserEvent

    void onBrowserEvent(Event event)

  Fired whenever a browser event is received.

  Parameters:
    `event` - the event received

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD